Package org.apache.groovy.groovysh.jline

# Class SystemRegistryImpl.UnknownCommandException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.groovy.groovysh.jline.SystemRegistryImpl.UnknownCommandException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  SystemRegistryImpl

public static class SystemRegistryImpl.UnknownCommandException extends Exception

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnknownCommandException(String message)`

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UnknownCommandException

    public UnknownCommandException(String message)